Browser and Platform Support

Slate supports all modern browsers and platforms. As a modern web application, Slate, like other modern systems, does not support archaic browsers. When a user accesses Slate through a browser that is currently unsupported, a message will be displayed asking them to upgrade to a modern browser.

Unsupported Browsers

Currently, the unsupported browsers are:

  • Internet Explorer, all versions
  • Other browsers, versions >1 year old
General Necessary Requirements

In addition to basic browser and platform requirements, the following requirements are generally necessary:

  • Support for JavaScript (supported by default in all modern browsers and required by nearly all modern websites)
  • For browsing on a desktop (full page) layout, a minimum display resolution of 1024 by 768 pixels
  • For browsing on a mobile device, a minimum display width of 320 pixels
Slate Desktop Client

For enhanced local device and software integration, the Slate Desktop Client requires Windows Vista or later. The Slate Desktop Client requires the following capabilities to provide enhanced functionality (with alternative methods shown to provide similar functionality on unsupported platforms):

  • Direct integration with a local or network scanner to facilitate scanning via TWAIN drivers (on unsupported platforms, documents may be scanned to a PDF and uploaded via "Upload PDF from Digital Source" in Batch Acquire).
  • Direct integration with Microsoft Word to facilitate a mail-merge (on unsupported platforms, an Excel spreadsheet may be downloaded and merged using a locally-resident document).
  • Direct integration with a local or network printer to facilitate duplex printing (on unsupported platforms, a PDF may be downloaded and printed directly).
Was this article helpful?
1 out of 2 found this helpful